/*
	Premodeled object drawing modules for each type of premodeled
	object. Each sardrawpm_*.c module needs to #include this, all
	functions here are called by SARDrawPremodeled().
 */

#ifndef SARDRAWPM_H
#define SARDRAWPM_H

extern void SARDrawPremodeledBuilding(
        gw_display_struct *display,
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr,
        sar_object_premodeled_struct *obj_premodeled_ptr,
        Boolean draw_for_gcc
);
extern void SARDrawPremodeledControlTower(
        gw_display_struct *display,
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr,
        sar_object_premodeled_struct *obj_premodeled_ptr,
        Boolean draw_for_gcc
);
extern void SARDrawPremodeledPowerTransmissionTower(
        gw_display_struct *display,
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr,
        sar_object_premodeled_struct *obj_premodeled_ptr,
        double camera_dist,
        Boolean draw_for_gcc
);
extern void SARDrawPremodeledTower(
        gw_display_struct *display,
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr,
        sar_object_premodeled_struct *obj_premodeled_ptr,
        double camera_dist,
        Boolean draw_for_gcc
);
extern void SARDrawPremodeledRadioTower(
        gw_display_struct *display,
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr,
        sar_object_premodeled_struct *obj_premodeled_ptr,
        double camera_dist,
        Boolean draw_for_gcc
);




#endif	/* SARDRAWPM_H */
